AutoCAD Electrical Forum
Welcome to Autodesk’s AutoCAD Electrical Forums. Share your knowledge, ask questions, and explore popular AutoCAD Electrical topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Changing Existing Text/Bubble Size on BOM Bubbles

5 REPLIES 5
Reply
Message 1 of 6
superracefan
1835 Views, 5 Replies

Changing Existing Text/Bubble Size on BOM Bubbles

We are using ACE2004. Is there any way to change the size of the BOM text and bubble for items that have already been called out short of changing the settings and retagging everything? We draw our panels in model space and place our borders in paper space with a scaled model space window for our panel layouts. Sometimes when I open up the model space window, I find the BOM text/bubbles are too small to read depending on what scale I set my window too. Any suggestions out there?
5 REPLIES 5
Message 2 of 6
Anonymous
in reply to: superracefan

See if this little utility works on 2004. You pick the balloon bubbles you
want to "inflate" by your entered ratio. It should make the ITEM number
bubble/text bigger but leave the leader/arrow the same size.

You'll need to APPLOAD this utlity. Then type "inflate" at the command line
to run.




; ** 06-May-05 NEHolt created as example
(defun c:inflate ( / ss en ratio save_sysvar_pickstyle ed ent_type ent_name
xy inflation_ratio)
; "Inflate" AcadE ITEM number balloons
(if (setq inflation_ratio (getreal "Balloon inflation ratio (1.0=no
change):"))
(progn
(setq cancel nil)
(while (not cancel)
(if (= (logand (getvar "PICKSTYLE") 1) 1)
(progn ; GROUP selection mode is "ON", need to turn it off so that
user pick
; on balloon bubble doesn't grab the leader lines as well
and complicate
; the program.
(setvar "PICKSTYLE" 0) ; turn off GROUP mode
(princ "\nNOTE: GROUP mode termporarily turned OFF. Hit
CTRL+SHIFT+A to restore GROUP selection mode.")
) )

(setq ss (ssget ":S")) ; prompt user to pick one item
(if (= ss nil)
(setq cancel 1) ; flag to exit
; ELSE
(progn ; Figure out what what picked. See if it is an AcadE
"balloon" block insert
(setq ent_name (ssname ss 0)) ; get first/only picked entity
name from selection set
(setq ed (entget ent_name)) ; open the entity
(setq ent_type (cdr (assoc 0 ed))) ; extract entity type
(if (/= ent_type "INSERT")
(progn
(princ " ?? ")
(princ ent_type)
)
; ELSE
(progn ; user picked on INSERT, see if carries attribute
B_ITEM
(if (not (c:wd_getattrval ent_name "B_ITEM"))
(progn ; doesn't appear to be an AcadE balloon
(princ " not an AcadE ITEM balloon ??")
)
; ELSE
(progn ; okay, user has picked on AcadE ITEM balloon.
Prepare to scale it up.
(setq xy (cdr (assoc 10 ed))) ; save balloon block's
insertion point
(command "_.SCALE" ent_name "" xy inflation_ratio)
)
) )
)
(setq ss nil) ; release selection set
) )
)
) )
(princ)
)




wrote in message news:4835753@discussion.autodesk.com...
We are using ACE2004. Is there any way to change the size of the BOM text
and bubble for items that have already been called out short of changing the
settings and retagging everything? We draw our panels in model space and
place our borders in paper space with a scaled model space window for our
panel layouts. Sometimes when I open up the model space window, I find the
BOM text/bubbles are too small to read depending on what scale I set my
window too. Any suggestions out there?
Message 3 of 6
superracefan
in reply to: superracefan

Thanks.
Message 4 of 6
jmburge
in reply to: superracefan

Nate,

I tried the inflate.lsp application and it worked when I first used it. Now I am working on another drawing and it does not work. The balloons disappear when I touch them.
Message 5 of 6
Anonymous
in reply to: superracefan

Can you send me your version of the utility and the dwg it fails on? You can
reply or send privately to nate.holt@autodesk.com
wrote in message news:4969135@discussion.autodesk.com...
Nate,

I tried the inflate.lsp application and it worked when I first used it. Now
I am working on another drawing and it does not work. The balloons disappear
when I touch them.
Message 6 of 6
SeedyNotions
in reply to: jmburge

You may need to load the lisp again into the new drawing. Or add it to your acaddoc.lsp to load on every drawing.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost